Summary: Alternative traceroute tool for network (reverse) engineers
Name: lft
Version: 3.73
Release: 1
License: MainNerve Public License
Group: Applications/Internet
URL: http://oppleman.com/lft/
Packager: Michael Perzl <michael@perzl.org>
Source0: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libpcap-devel >= 1.4.0-1
Requires: libpcap >= 1.4.0-1

%description
LFT, short for Layer Four Traceroute, is a sort of 'traceroute' that
often works much faster (than the commonly-used Van Jacobson method) and
goes through many configurations of packet-filter based firewalls. More
importantly, LFT implements numerous other features including AS number
lookups, loose source routing, netblock name lookups, et al.


%prep
%setup -q
%patch0


%build
export CC=xlc

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc CHANGELOG COPYING README TODO
%attr(4755,root,system) %{_bindir}/lft
%{_bindir}/whob
%{_mandir}/man8/*


%changelog
* Thu Sep 18 2014 Michael Perzl <michael@perzl.org> - 3.73-1
- updated to version 3.73

* Fri Jul 04 2014 Michael Perzl <michael@perzl.org> - 3.36-1
- updated to version 3.36

* Tue Oct 30 2012 Michael Perzl <michael@perzl.org> - 3.35-1
- updated to version 3.35

* Mon Sep 17 2012 Michael Perzl <michael@perzl.org> - 3.34-1
- updated to version 3.34

* Mon Apr 30 2012 Michael Perzl <michael@perzl.org> - 3.33-1
- updated to version 3.33

* Tue Apr 12 2011 Michael Perzl <michael@perzl.org> - 3.32-1
- updated to version 3.32

* Wed Mar 09 2011 Michael Perzl <michael@perzl.org> - 3.31-1
- updated to version 3.31

* Fri Feb 18 2011 Michael Perzl <michael@perzl.org> - 3.3-1
- updated to version 3.3

* Mon Jun 30 2008 Michael Perzl <michael@perzl.org> - 3.1-1
- first version for AIX V5.1 and higher
